<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2007 PahaW
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+-----------------------------------------------------
| PHP-Fusion 6 Whoisonline
+-----------------------------------------------------
| Copyright  2006 Andreev Pavel
| http://www.khspu.ru/~Board
| GNU General Public License visit http://gnu.org
---------------------------------------------------*/

if (!defined("IN_FUSION")) { header("Location: ../index.php"); exit; }

if (file_exists(INFUSIONS."whoisonline/locale/".$settings['locale'].".php")) {
	include INFUSIONS."whoisonline/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."whoisonline/locale/English.php";
}


   function dynamic_head($column, $table, $compare1, $compare2, $begin, $alt) {
	global $db_prefix;
	if (!isNum($compare2)) { $compare2 = 0; }
	$result = dbquery("SELECT * FROM ".DB_PREFIX.$table." WHERE ".$compare1."='".$compare2."'");
	if ($result) {
		$data = dbarray($result);
		$title = $begin.$data[$column];
	} else {
		$title = $alt;
	}
	return $title;
   }

   function parse_str_url($link){
            $base = explode("?", $link);
            $nums = count($base);
            if (!empty($base)){
               parse_str($base[$nums-1], $data);
            } else {
               $data = "null";
            }
            return $data;
   }

   function exp_str_url($link){
            $base = explode("?", $link);
            $nums = count($base);
            return $base[0];
   }

   function define_func($link, $locale){
            $base = explode("/", $link);
            $nums = count($base);
            $data_ps = parse_str_url($base[$nums-1]);
            $exp_px = exp_str_url($base[$nums-1]);

            if (!empty($base[$nums-3]) && $base[$nums-3]=="infusions"){
               $title = parse_infusion($base[$nums-2]);
            } elseif(!empty($base[$nums-2]) && $base[$nums-2]=="forum") {

               if ($base[$nums-1]=="index.php"){
                  $title = $locale['WIOL_070'];
               } elseif($exp_px=="post.php") {
  	               if($data_ps['action'] == "newthread") {
 		          $title = dynamic_head("forum_name", "forums", "forum_id", $data_ps['forum_id'], $locale['WIOL_020'], $locale['WIOL_021']);
 	               } elseif($data_ps['action'] == "edit") {
		          $title = dynamic_head("post_subject", "posts", "post_id", $data_ps['post_id'], $locale['WIOL_026'], $locale['WIOL_027']);
	               } elseif($data_ps['action'] == "reply") {
		          $title = dynamic_head("thread_subject", "threads", "thread_id", $data_ps['thread_id'], $locale['WIOL_032'], $locale['WIOL_033']);
	               }
	       } elseif ($exp_px=="viewforum.php") {
	                 $data_ps = parse_str_url($base[$nums-1]);
           		 $title = dynamic_head("forum_name", "forums", "forum_id", $data_ps['forum_id'], $locale['WIOL_016'], $locale['WIOL_017']);
               } elseif ($exp_px=="viewthread.php") {
		         $title = dynamic_head("thread_subject", "threads", "thread_id", $data_ps['thread_id'], $locale['WIOL_018'], $locale['WIOL_019']);
	       }
            } elseif($exp_px == "submit.php") {
	       if($data_ps['stype'] == "l") $title = $locale['WIOL_059'];
	       if($data_ps['stype'] == "n") $title = $locale['WIOL_060'];
	       if($data_ps['stype'] == "a") $title = $locale['WIOL_061'];
	       if($data_ps['stype'] == "p") $title = $locale['WIOL_069'];
            } elseif($base[$nums-1] == "register.php") {
	       $title = $locale['WIOL_062'];
            } elseif($base[$nums-1] == "search.php") {
	       $title = $locale['WIOL_063'];
            } elseif($base[$nums-1] == "edit_profile.php") {
               $title = $locale['WIOL_064'];
            } elseif($base[$nums-1] == "members.php") {
 	       $title = $locale['WIOL_065'];
            } elseif($base[$nums-1] == "guestbook.php") {
	       $title = $locale['WIOL_068'];
            } elseif($base[$nums-1] == "lostpassword.php") {
	       $title = $locale['WIOL_066'];
            } elseif($base[$nums-1] == "contact.php") {
	       $title = $locale['WIOL_067'];
	    } elseif($exp_px == "photogallery.php") {
	          if(!empty($data_ps['album_id'])) {
		    $title = dynamic_head("album_title", "photo_albums", "album_id", $data_ps['album_id'], $locale['WIOL_055'], $locale['WIOL_056']);
	          } elseif(!empty($data_ps['photo_id'])) {
		    $title = dynamic_head("photo_title", "photos", "photo_id", $data_ps['photo_id'], $locale['WIOL_057'], $locale['WIOL_058']);
 	          } else {
		    $title = $locale['WIOL_054'];
	          }
	    } elseif($exp_px == "messages.php") {
 	          if(!empty($data_ps['folder'])) {
		     if($data_ps['folder'] == "inbox") $title = $locale['WIOL_040'];
		     elseif($data_ps['folder'] == "outbox") $title = $locale['WIOL_041'];
		     elseif($data_ps['folder'] == "archive") $title = $locale['WIOL_042'];
		     elseif($data_ps['folder'] == "options") $title = $locale['WIOL_043'];
		     else $title = $locale['WIOL_028'];
	          } else {
		     $title = $locale['WIOL_039'];
	          }
	    } elseif($base[$nums-1] == "index.php") {
	          if(BASEDIR.basename(dirname($_SERVER['PHP_SELF']))."/" != FORUM) $title = "";
            } else {
                $data_ps['news_id'] = (!empty($data_ps['news_id'])) ? $data_ps['news_id'] : "";
                $data_ps['cat_id'] = (!empty($data_ps['cat_id'])) ? $data_ps['cat_id'] : "";
                $data_ps['article_id'] = (!empty($data_ps['article_id'])) ? $data_ps['article_id'] : "";
                $data_ps['lookup'] = (!empty($data_ps['lookup'])) ? $data_ps['lookup'] : "";
                $data_ps['page_id'] = (!empty($data_ps['page_id'])) ? $data_ps['page_id'] : "";
                $page_array = array(
	             array("news.php", "news_subject", "news", "news_id", $data_ps['news_id'], $locale['WIOL_000'], $locale['WIOL_001']),
		     array("news_cats.php", "news_cat_name", "news_cats", "news_cat_id", $data_ps['cat_id'], $locale['WIOL_002'], $locale['WIOL_003']),
		     array("articles.php", "article_cat_name", "article_cats", "article_cat_id", $data_ps['cat_id'], $locale['WIOL_004'], $locale['WIOL_005']),
		     array("readarticle.php", "article_subject", "articles", "article_id", $data_ps['article_id'], $locale['WIOL_006'], $locale['WIOL_007']),
		     array("downloads.php", "download_cat_name", "download_cats", "download_cat_id", $data_ps['cat_id'], $locale['WIOL_008'], $locale['WIOL_009']),
		     array("faq.php", "faq_cat_name", "faq_cats", "faq_cat_id", $data_ps['cat_id'], $locale['WIOL_010'], $locale['WIOL_011']),
		     array("profile.php", "user_name", "users", "user_id", $data_ps['lookup'], $locale['WIOL_012'], $locale['WIOL_013']),
		     array("weblinks.php", "weblink_cat_name", "weblink_cats", "weblink_cat_id", $data_ps['cat_id'], $locale['WIOL_014'], $locale['WIOL_015']),
		     array("viewpage.php", "page_title", "custom_pages", "page_id", $data_ps['page_id'], "", "")
	        );
	        foreach($page_array as $value) {
		        if($value[0] == $base[$nums-1] && $value[4] > "") {
		          if (!empty($value[4])){
			     $title = dynamic_head($value[1], $value[2], $value[3], $value[4], $value[5], $value[6]);
			  }
		        }elseif($value[0] == $exp_px) {
			  $title = $value[6];
		        }
	        }
            }
            if(empty($title)) $title = " - NO -";
   return $title;
   }
   function parse_infusion($text){
            $result = dbquery("SELECT * FROM ".DB_PREFIX."infusions WHERE inf_folder='".$text."'");
            if ($result){
               $data = dbarray($result);
               return $data['inf_title'];
            } else {
               return "null";
            }
   }
?>