<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2007 PahaW
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+-----------------------------------------------------
| PHP-Fusion 6 Whoisonline
+-----------------------------------------------------
| Copyright  2006 Andreev Pavel
| http://www.khspu.ru/~Board
| GNU General Public License visit http://gnu.org
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once BASEDIR."side_left.php";

if (file_exists(INFUSIONS."whoisonline/locale/".$settings['locale'].".php")) {
	include INFUSIONS."whoisonline/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."whoisonline/locale/English.php";
}

openside($locale['WIOL1_000']);
	$result = dbquery("SELECT * FROM ".$db_prefix."whoisonlines LEFT JOIN ".$db_prefix."users ON whoisonline_user_id=user_id ORDER BY whoisonline_user_lastvisit DESC LIMIT 0,10");

	echo "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\" class=\"\">";
	if (dbrows($result) != 0) {
	      	//load class - start
	      	include("read_head.php");
	      	//load class - end
		while ($data = dbarray($result)) {
			// Check if user has ever logged in
			if ($data['whoisonline_user_lastvisit'] != 0) {
				$lastseen = time() - $data['whoisonline_user_lastvisit'];
				$iW=sprintf("%2d",floor($lastseen/604800));
				$iD=sprintf("%2d",floor($lastseen/(60*60*24)));
				$iH=sprintf("%02d",floor((($lastseen%604800)%86400)/3600));
				$iM=sprintf("%02d",floor(((($lastseen%604800)%86400)%3600)/60));
				$iS=sprintf("%02d",floor((((($lastseen%604800)%86400)%3600)%60)));
				if ($lastseen < 60){
					$lastseen="<nobr>".$locale['WIOL1_001']."</nobr>";
				} elseif ($lastseen < 360){
					$lastseen="<nobr>".$locale['WIOL1_002']."</nobr>";
				} elseif ($iW > 0){
					if ($iW == 1) {
						$Text = $locale['WIOL1_003'];
					} else {
						$Text = $locale['WIOL1_004'];
					}
					$lastseen = "<nobr>".$iW." ".$Text."</nobr>";
				} elseif ($iD > 0){
					if ($iD == 1) {
						$Text = $locale['WIOL1_005'];
					} else {
						$Text = $locale['WIOL1_006'];
					}
					$lastseen = "<nobr>".$iD." ".$Text."</nobr>";
				} else {
					$lastseen = $iH.":".$iM.":".$iS;
				}
			} else {
				$lastseen = $locale['WIOL1_007'];
			}
			if (iADMIN || iSUPERADMIN) { $user_ip = "&nbsp;(".$data['whoisonline_user_ip'].")"; }
			else { $user_ip = ""; }
	                if ($data['whoisonline_user_id']!=0){
			   echo "<tr>\n<td class=\"side-small\" align=\"left\"><a href=\"".BASEDIR."profile.php?lookup=".$data['user_id']."\" class=\"side\">";
			   echo $data['user_name']."</a></td>";
			} else {
			   echo "<tr>\n<td class=\"side-small\" align=\"left\">".$locale['WIOL1_008']."</td>";			
			}
			echo "<td class=\"side-small\">".$lastseen."</td><td class=\"side-small\"><a href='".$data['whoisonline_where']."'>".define_func($data['whoisonline_where'], $locale)."</a>".$user_ip."</td></tr>";
		}
	}
	echo "</table>";
closeside();

require_once BASEDIR."side_right.php";
require_once BASEDIR."footer.php";
?>